QuantLib: UnitDisplacedBlackYoYInflationCouponPricer Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
UnitDisplacedBlackYoYInflationCouponPricer Class Reference

Unit-Displaced-Black-formula pricer for capped/floored yoy inflation coupons. More...

`#include <ql/cashflows/inflationcouponpricer.hpp>`

Inheritance diagram for UnitDisplacedBlackYoYInflationCouponPricer:
[legend]

## Public Member Functions
| UnitDisplacedBlackYoYInflationCouponPricer (const Handle< YoYOptionletVolatilitySurface > &capletVol=Handle< YoYOptionletVolatilitySurface >())
Public Member Functions inherited from YoYInflationCouponPricer
| YoYInflationCouponPricer (const Handle< YoYOptionletVolatilitySurface > &capletVol=Handle< YoYOptionletVolatilitySurface >())
virtual Handle< YoYOptionletVolatilitySurface > | capletVolatility () const
virtual void | setCapletVolatility (const Handle< YoYOptionletVolatilitySurface > &capletVol)
virtual Real | swapletPrice () const
virtual Rate | swapletRate () const
virtual Real | capletPrice (Rate effectiveCap) const
virtual Rate | capletRate (Rate effectiveCap) const
virtual Real | floorletPrice (Rate effectiveFloor) const
virtual Rate | floorletRate (Rate effectiveFloor) const
virtual void | initialize (const InflationCoupon &)
Public Member Functions inherited from InflationCouponPricer
virtual void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Member Functions
Real | optionletPriceImp (Option::Type, Real strike, Real forward, Real stdDev) const
Protected Member Functions inherited from YoYInflationCouponPricer
virtual Real | optionletPrice (Option::Type optionType, Real effStrike) const
| car replace this if really required
virtual Rate | adjustedFixing (Rate fixing=Null< Rate >()) const

## Additional Inherited Members
Protected Attributes inherited from YoYInflationCouponPricer
Handle< YoYOptionletVolatilitySurface > | capletVol_
| data
const YoYInflationCoupon * | coupon_
Real | gearing_
Spread | spread_
Real | discount_
Real | spreadLegValue_
Protected Attributes inherited from InflationCouponPricer
Handle< YieldTermStructure > | rateCurve_
Date | paymentDate_

## Detailed Description

Unit-Displaced-Black-formula pricer for capped/floored yoy inflation coupons.

## Member Function Documentation

Real optionletPriceImp | ( | Option::Type | ,
|  | Real | strike,
|  | Real | forward,
|  | Real | stdDev
| ) |  | const
| protectedvirtual

usually only need implement this (of course they may need to re-implement initialize too ...)

Reimplemented from YoYInflationCouponPricer.